/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-07-16 15:00:21.
 * *************************************************
 */

package cn.com.qmth.examcloud.app;

import cn.com.qmth.examcloud.commons.base.logging.ExamCloudLog;
import cn.com.qmth.examcloud.commons.base.logging.ExamCloudLogFactory;
import cn.com.qmth.examcloud.commons.base.logging.SLF4JImpl;
import cn.com.qmth.examcloud.commons.web.boot.ExamCloudApp;
import org.slf4j.MDC;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.boot.web.support.SpringBootServletInitializer;
import org.springframework.data.jpa.repository.config.EnableJpaAuditing;
import org.springframework.scheduling.annotation.EnableAsync;

@EnableAsync
@EnableJpaAuditing
@SpringBootApplication
public class ApiApplication extends SpringBootServletInitializer {
    private static final ExamCloudLog LOG = ExamCloudLogFactory.getLog(ApiApplication.class);

    public static void main(String[] args) {
        if (LOG instanceof SLF4JImpl) {
            MDC.put("TRACE_ID", Thread.currentThread().getName());
        }
        //SpringApplication.run(ApiApplication.class, args);
        ExamCloudApp.run(ApiApplication.class, "app-api", args);
    }

    @Override
    protected SpringApplicationBuilder configure(SpringApplicationBuilder application) {
        return application.sources(ApiApplication.class);
    }

}